Subject: Re: Multiple user questions

From: Dennis Schridde <[email-masked]>
Date: Sun, 25 May 2008 10:49:54 +0200

Am Samstag, 24. Mai 2008 14:33:42 schrieb Jakub Narebski:
> Dnia sobota 24. maja 2008 11:13, Dennis Schridde napisał:
> > Am Samstag, 24. Mai 2008 03:30:43 schrieb Jakub Narebski:
> >> Dennis Schridde <[email-masked]> writes:
> >>> 2) Can I make format-patch include the full commit message, date,
> >>> author, stats in the patches? (To mimic what git-show would show me.)
> >>> Will this be sent via send-email, too?
> >>
> >> Errr... git-format-patch output _does_ include full commit message,
> >> author, author date and diffstat.
> >
> > For me only the first line of the commit message is printed in the
> > subject, all other lines are missing.
>
> What version of git do you use? If I remember correctly this area
> was worked on some time ago, so git-format-patch takes now whole first
> paragraph as a subject of email, folding it using appropriate RFC
> style.
Then that multiline subject must have been lost somewhere along the way. Maybe 
some mailserver in between striped it down to one line...

> > If I want a message to appear in the body at all, I need a special way to
> > format my commit messages: 1 line summary, 1 empty line, description.
> > Only the description is then shown in the email.
> > This seems inconvenient, especially for smaller changes.
>
> What do you think this commit message convention git uses is from?
> It stems from exchanging patches by email, where you had to put short,
> single line description in the email subject, and describe change in
> more detail in message (email) body.  If you don't follow this
> commit message convention many git tools (tig, gitk, git-shortlog, etc.)
> will not work as expected.
I guess this is then a feature request?
To use first line for subject, and repeat the whole commit-message in the 
body?

> > Further, attachments do not at all contain any information like that.
> > See the attached example.
>
> Errr... I just tried "git format-patch --attach"[1] and it creates by
> default multi-part attachement, first part is commit message, second
> is patch itself.  The commit message contains diffstat.
I wanted to know whether I could make that 2nd part ("patch itself") also 
contain the whole commit message, date, author (so it looks like what 
git-show gives me).

> [1] I use git version 1.5.5
I use 1.5.5.1

> >>> 4) Can I make format-patch output one deletion and one insertion for a
> >>> complete rewrite of a function, instead of multiple deletes/inserts?
> >>
> >> Try git-format-patch with -B option, or -B<num>.
> >
> > I tried that already.  Whether I specified -B or not, it always gave
> > the exact same output (says diff).
>
> Ah, I'm sorry.  The -B is to recognize total rewrite, i.e. such a change
> that is best represent as delete old contents and create new one.
Total rewrite of a file? So not appropriate for the total rewrite of just a 
function?

--Dennis